#include<iostream>
#include<bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n], b[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        b[i]=a[i];
    }
    sort(b, b+n, greater<int>());
    bool t=0;
    /*for(int i=0; i<n; i++)
    {
        cout<<b[i]<<" ";
    }*/
    int i;
    for(i=0; i<n; i++)
    {
        if(a[i]<b[i]) break;
    }
    if(i==n)
    {
        for(int j=0; j<n-2; j++) cout<<a[j]<<" ";
        cout<<a[n-1]<<" "<<a[n-2];
    }
    else
    {
        int j=n-1;
        while(a[j]!=b[i])
        {
            j--;
        }
        swap (a[i], a[j]);
        for(int k=0; k<n; k++) cout<<a[k]<<" ";
    }
}